---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::EditBoxRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1EditBoxRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::EditBoxRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::EditBoxRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1EditBoxRenderer.png" usemap="#tgui::EditBoxRenderer_map" alt=""/>
  <map id="tgui::EditBoxRenderer_map" name="tgui::EditBoxRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,133,24"/>
<area href="classtgui_1_1WidgetBorders.html" title="Parent class for every widget that has borders. " alt="tgui::WidgetBorders" shape="rect" coords="143,0,276,24"/>
<area href="classtgui_1_1WidgetPadding.html" title="Parent class for every widget that has padding. " alt="tgui::WidgetPadding" shape="rect" coords="286,0,419,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af6007ed0ba993367d53a64011fbc4ffe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#af6007ed0ba993367d53a64011fbc4ffe">EditBoxRenderer</a> (<a class="el" href="classtgui_1_1EditBox.html">EditBox</a> *editBox)</td></tr>
<tr class="memdesc:af6007ed0ba993367d53a64011fbc4ffe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af6007ed0ba993367d53a64011fbc4ffe">More...</a><br /></td></tr>
<tr class="separator:af6007ed0ba993367d53a64011fbc4ffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c34de3dec5771799bbebb85d0e00de"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a32c34de3dec5771799bbebb85d0e00de">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a32c34de3dec5771799bbebb85d0e00de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a32c34de3dec5771799bbebb85d0e00de">More...</a><br /></td></tr>
<tr class="separator:a32c34de3dec5771799bbebb85d0e00de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c72cc27a3fee485d73fe3681ffff7bc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a8c72cc27a3fee485d73fe3681ffff7bc">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a8c72cc27a3fee485d73fe3681ffff7bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a8c72cc27a3fee485d73fe3681ffff7bc">More...</a><br /></td></tr>
<tr class="separator:a8c72cc27a3fee485d73fe3681ffff7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f3f9be8f6191346c6989205acb7ba1"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a07f3f9be8f6191346c6989205acb7ba1">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a07f3f9be8f6191346c6989205acb7ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a07f3f9be8f6191346c6989205acb7ba1">More...</a><br /></td></tr>
<tr class="separator:a07f3f9be8f6191346c6989205acb7ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc1d3e2ec79d8047f8bc90b41aa5f13"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a9fc1d3e2ec79d8047f8bc90b41aa5f13">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:a9fc1d3e2ec79d8047f8bc90b41aa5f13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#a9fc1d3e2ec79d8047f8bc90b41aa5f13">More...</a><br /></td></tr>
<tr class="separator:a9fc1d3e2ec79d8047f8bc90b41aa5f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6260b940863f3df0d9b3915733318d2e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a6260b940863f3df0d9b3915733318d2e">setPadding</a> (const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;padding) override</td></tr>
<tr class="memdesc:a6260b940863f3df0d9b3915733318d2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the padding of the edit box.  <a href="#a6260b940863f3df0d9b3915733318d2e">More...</a><br /></td></tr>
<tr class="separator:a6260b940863f3df0d9b3915733318d2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6021b18d1c9bc7f4ba92e10951b81e1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#aa6021b18d1c9bc7f4ba92e10951b81e1">setCaretWidth</a> (float width)</td></tr>
<tr class="memdesc:aa6021b18d1c9bc7f4ba92e10951b81e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This will change the width of the caret.  <a href="#aa6021b18d1c9bc7f4ba92e10951b81e1">More...</a><br /></td></tr>
<tr class="separator:aa6021b18d1c9bc7f4ba92e10951b81e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15a1b899ed96380933f0d3c866950ac9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a15a1b899ed96380933f0d3c866950ac9">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;textColor)</td></tr>
<tr class="memdesc:a15a1b899ed96380933f0d3c866950ac9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used inside the edit box.  <a href="#a15a1b899ed96380933f0d3c866950ac9">More...</a><br /></td></tr>
<tr class="separator:a15a1b899ed96380933f0d3c866950ac9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a410db6332f1a55762fc5f7e4c987c1f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a410db6332f1a55762fc5f7e4c987c1f7">setSelectedTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedTextColor)</td></tr>
<tr class="memdesc:a410db6332f1a55762fc5f7e4c987c1f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color of the selected text that will be used inside the edit box.  <a href="#a410db6332f1a55762fc5f7e4c987c1f7">More...</a><br /></td></tr>
<tr class="separator:a410db6332f1a55762fc5f7e4c987c1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee032f9de96d16a36500f24200f99caa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#aee032f9de96d16a36500f24200f99caa">setSelectedTextBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedTextBackgroundColor)</td></tr>
<tr class="memdesc:aee032f9de96d16a36500f24200f99caa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the selected text that will be used inside the edit box.  <a href="#aee032f9de96d16a36500f24200f99caa">More...</a><br /></td></tr>
<tr class="separator:aee032f9de96d16a36500f24200f99caa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab646ee5b69c102a60fb0e8b2c208b30b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#ab646ee5b69c102a60fb0e8b2c208b30b">setDefaultTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;defaultTextColor)</td></tr>
<tr class="memdesc:ab646ee5b69c102a60fb0e8b2c208b30b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color of the default text that can optionally be displayed when the edit box is empty.  <a href="#ab646ee5b69c102a60fb0e8b2c208b30b">More...</a><br /></td></tr>
<tr class="separator:ab646ee5b69c102a60fb0e8b2c208b30b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd88c85ed9180e630e0107df8aa9b84"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a7cd88c85ed9180e630e0107df8aa9b84">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a7cd88c85ed9180e630e0107df8aa9b84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background.  <a href="#a7cd88c85ed9180e630e0107df8aa9b84">More...</a><br /></td></tr>
<tr class="separator:a7cd88c85ed9180e630e0107df8aa9b84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cdd79c70c52687ded46658b7691c94a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a8cdd79c70c52687ded46658b7691c94a">setBackgroundColorNormal</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:a8cdd79c70c52687ded46658b7691c94a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background in the normal state (mouse not on edit box).  <a href="#a8cdd79c70c52687ded46658b7691c94a">More...</a><br /></td></tr>
<tr class="separator:a8cdd79c70c52687ded46658b7691c94a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab30339d3a43b3c5ede2b216327004bab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#ab30339d3a43b3c5ede2b216327004bab">setBackgroundColorHover</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ab30339d3a43b3c5ede2b216327004bab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the background in the hover state (mouse on edit box, but not pressed).  <a href="#ab30339d3a43b3c5ede2b216327004bab">More...</a><br /></td></tr>
<tr class="separator:ab30339d3a43b3c5ede2b216327004bab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fd90ff881cba58c6308ce4038f6fde3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a9fd90ff881cba58c6308ce4038f6fde3">setCaretColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;caretColor)</td></tr>
<tr class="memdesc:a9fd90ff881cba58c6308ce4038f6fde3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color that will be used inside the edit box for the blinking caret.  <a href="#a9fd90ff881cba58c6308ce4038f6fde3">More...</a><br /></td></tr>
<tr class="separator:a9fd90ff881cba58c6308ce4038f6fde3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4bd8a7111673fedffa525a2c7828bf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#af4bd8a7111673fedffa525a2c7828bf4">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:af4bd8a7111673fedffa525a2c7828bf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the borders.  <a href="#af4bd8a7111673fedffa525a2c7828bf4">More...</a><br /></td></tr>
<tr class="separator:af4bd8a7111673fedffa525a2c7828bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd37a5c96ad139ce57cc1aff998a7564"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#abd37a5c96ad139ce57cc1aff998a7564">setNormalTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:abd37a5c96ad139ce57cc1aff998a7564"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the mouse is not on the edit box.  <a href="#abd37a5c96ad139ce57cc1aff998a7564">More...</a><br /></td></tr>
<tr class="separator:abd37a5c96ad139ce57cc1aff998a7564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b4f1f9185594f2f208ead79d81ad246"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a2b4f1f9185594f2f208ead79d81ad246">setHoverTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a2b4f1f9185594f2f208ead79d81ad246"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the mouse is located on top of the edit box.  <a href="#a2b4f1f9185594f2f208ead79d81ad246">More...</a><br /></td></tr>
<tr class="separator:a2b4f1f9185594f2f208ead79d81ad246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ace32f5540b9ff0a0d1bb54e3686d6c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a3ace32f5540b9ff0a0d1bb54e3686d6c">setFocusTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a3ace32f5540b9ff0a0d1bb54e3686d6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is drawn on top of the edit box image when the edit box is focused.  <a href="#a3ace32f5540b9ff0a0d1bb54e3686d6c">More...</a><br /></td></tr>
<tr class="separator:a3ace32f5540b9ff0a0d1bb54e3686d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a77567a6dcb653d6ebe38755d37a17"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1EditBoxRenderer.html#a26a77567a6dcb653d6ebe38755d37a17">setDefaultTextStyle</a> (sf::Uint32 style)</td></tr>
<tr class="memdesc:a26a77567a6dcb653d6ebe38755d37a17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the text style of the default text (the text drawn when the edit box is empty)  <a href="#a26a77567a6dcb653d6ebe38755d37a17">More...</a><br /></td></tr>
<tr class="separator:a26a77567a6dcb653d6ebe38755d37a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetBorders"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetBorders')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td></tr>
<tr class="memitem:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a> (const <a class="el" href="classtgui_1_1Borders.html">Borders</a> &amp;borders)</td></tr>
<tr class="memdesc:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a75128d6d549e479c4b455afc77a75f9e">More...</a><br /></td></tr>
<tr class="separator:a75128d6d549e479c4b455afc77a75f9e inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a> (float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td></tr>
<tr class="memdesc:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#a19f9c75a3091e3812a1ed997e4b33260">More...</a><br /></td></tr>
<tr class="separator:a19f9c75a3091e3812a1ed997e4b33260 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a> (float width, float height)</td></tr>
<tr class="memdesc:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the borders.  <a href="#ab1a3bd4fee10eb2dcab6bce06efcea45">More...</a><br /></td></tr>
<tr class="separator:ab1a3bd4fee10eb2dcab6bce06efcea45 inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Borders</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a> () const </td></tr>
<tr class="memdesc:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the borders as a <a class="el" href="classtgui_1_1Borders.html">tgui::Borders</a>.  <a href="#a6c42822ce84bce93ff85ef8c9e53bdac">More...</a><br /></td></tr>
<tr class="separator:a6c42822ce84bce93ff85ef8c9e53bdac inherit pub_methods_classtgui_1_1WidgetBorders"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetPadding"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetPadding')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></td></tr>
<tr class="memitem:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#a865dcb475db3ef518b601846045c9212">setPadding</a> (float leftPadding, float topPadding, float rightPadding, float bottomPadding)</td></tr>
<tr class="memdesc:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#a865dcb475db3ef518b601846045c9212">More...</a><br /></td></tr>
<tr class="separator:a865dcb475db3ef518b601846045c9212 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#abba6165c8b9220c6bf904446a0c7f262">setPadding</a> (float width, float height)</td></tr>
<tr class="memdesc:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the padding.  <a href="#abba6165c8b9220c6bf904446a0c7f262">More...</a><br /></td></tr>
<tr class="separator:abba6165c8b9220c6bf904446a0c7f262 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Borders.html">Padding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetPadding.html#ab1c34add1232dc4cd8dca0ebc4dc8a20">getPadding</a> () const </td></tr>
<tr class="memdesc:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the padding.  <a href="#ab1c34add1232dc4cd8dca0ebc4dc8a20">More...</a><br /></td></tr>
<tr class="separator:ab1c34add1232dc4cd8dca0ebc4dc8a20 inherit pub_methods_classtgui_1_1WidgetPadding"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af6007ed0ba993367d53a64011fbc4ffe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::EditBoxRenderer::EditBoxRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1EditBox.html">EditBox</a> *&#160;</td>
          <td class="paramname"><em>editBox</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">editBox</td><td>The edit box that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a07f3f9be8f6191346c6989205acb7ba1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::EditBoxRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a9fc1d3e2ec79d8047f8bc90b41aa5f13"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::EditBoxRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a7cd88c85ed9180e630e0107df8aa9b84"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>This color will overwrite the color for both the normal and hover state.</p>
<p>Note that this color is ignored when you set an image as background.</p>
<dl class="section see"><dt>See also</dt><dd>setTextColorNormal </dd>
<dd>
setTextColorHover </dd></dl>

</div>
</div>
<a class="anchor" id="ab30339d3a43b3c5ede2b216327004bab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setBackgroundColorHover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background in the hover state (mouse on edit box, but not pressed). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="a8cdd79c70c52687ded46658b7691c94a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setBackgroundColorNormal </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the background in the normal state (mouse not on edit box). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New background color</td></tr>
  </table>
  </dd>
</dl>
<p>Note that this color is ignored when you set an image as background. </p>

</div>
</div>
<a class="anchor" id="af4bd8a7111673fedffa525a2c7828bf4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the borders. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New border color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9fd90ff881cba58c6308ce4038f6fde3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setCaretColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>caretColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color that will be used inside the edit box for the blinking caret. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">caretColor</td><td>The color of the blinking caret </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa6021b18d1c9bc7f4ba92e10951b81e1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setCaretWidth </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>width</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This will change the width of the caret. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>New width of the caret </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab646ee5b69c102a60fb0e8b2c208b30b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setDefaultTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>defaultTextColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color of the default text that can optionally be displayed when the edit box is empty. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">defaultTextColor</td><td>The new default text color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a26a77567a6dcb653d6ebe38755d37a17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setDefaultTextStyle </td>
          <td>(</td>
          <td class="paramtype">sf::Uint32&#160;</td>
          <td class="paramname"><em>style</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the text style of the default text (the text drawn when the edit box is empty) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">style</td><td>The new default text style</td></tr>
  </table>
  </dd>
</dl>
<p>By default text style is italic.</p>
<div class="fragment"><div class="line">editBox-&gt;getRenderer()-&gt;setDefaultTextStyle(sf::Text::Italic | sf::Text::Bold);</div></div><!-- fragment --> 
</div>
</div>
<a class="anchor" id="a3ace32f5540b9ff0a0d1bb54e3686d6c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setFocusTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is drawn on top of the edit box image when the edit box is focused. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new focus texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="a2b4f1f9185594f2f208ead79d81ad246"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setHoverTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the mouse is located on top of the edit box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new hover texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty texture to unset the image. </p>

</div>
</div>
<a class="anchor" id="abd37a5c96ad139ce57cc1aff998a7564"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setNormalTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the mouse is not on the edit box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>The new normal texture</td></tr>
  </table>
  </dd>
</dl>
<p>When this image is set, the background color property will be ignored. Pass an empty texture to unset the image, in this case the background color property will be used again. </p>

</div>
</div>
<a class="anchor" id="a6260b940863f3df0d9b3915733318d2e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::EditBoxRenderer::setPadding </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Borders.html">Padding</a> &amp;&#160;</td>
          <td class="paramname"><em>padding</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the padding of the edit box. </p>
<p>When the text is auto-scaled then it will be drawn within the area defined by the size minus the padding. The padding is also used to define the clipping area for when the text it too long.</p>
<p>This padding will be scaled together with the background image. If there is no background image, or when 9-slice scaling is used, the padding will be exactly what you pass here.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">padding</td><td>The padding width and height </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding</a>.</p>

</div>
</div>
<a class="anchor" id="a32c34de3dec5771799bbebb85d0e00de"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::EditBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a8c72cc27a3fee485d73fe3681ffff7bc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::EditBoxRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aee032f9de96d16a36500f24200f99caa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setSelectedTextBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedTextBackgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the selected text that will be used inside the edit box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedTextBackgroundColor</td><td>The new background color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a410db6332f1a55762fc5f7e4c987c1f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setSelectedTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedTextColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color of the selected text that will be used inside the edit box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedTextColor</td><td>The new text color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a15a1b899ed96380933f0d3c866950ac9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::EditBoxRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>textColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used inside the edit box. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textColor</td><td>The new text color. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="EditBox_8hpp_source.html">EditBox.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:43 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
